{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 1,
        "max": 3,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 14,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 180,
          "quality": -1,
          "name": "minecraft:shared_loot_empty"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 6,
          "quality": 1,
          "name": "minecraft:shared_loot_table"
        }
      ]
    },
    {
      "rolls": {
        "min": 2,
        "max": 8,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "item",
          "name": "minecraft:prismarine_shard",
          "weight": 1,
          "functions": [
            {
              "function": "set_nbt",
              "tag": "{kyutrinket:1b,kyuenchantedshard:1b,HideFlags:1,Enchantments:[{id:\"minecraft:aqua_affinity\",lvl:4s}],display:{Name:\"{\\\"text\\\":\\\"Enchanted Shard\\\"}\",Lore:[\"\\\"Anyone who holds one of these\\\"\",\"\\\"will be granted permanent water-breathing\\\"\",\"\\\"and underwater mining haste.\\\"\"]}}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 4,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:coal"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_nugget"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:emerald"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:wheat"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "weight": 1,
          "type": "minecraft:item",
          "quality": 1,
          "name": "minecraft:golden_apple"
        },
        {
          "weight": 1,
          "type": "minecraft:item",
          "name": "minecraft:turtle_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:leather_chestplate"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_helmet"
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:fishing_rod"
        },
        {
          "type": "minecraft:item",
          "weight": 2,
          "quality": 1,
          "functions": [
            {
              "function": "minecraft:enchant_randomly"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:exploration_map",
              "destination": "buried_treasure",
              "decoration": "red_x",
              "zoom": 1,
              "skip_existing_chunks": false
            }
          ],
          "name": "minecraft:map"
        }
      ]
    }
  ]
}
